# $Revision: 1.23 $, $Date: 2006/07/26 19:28:05 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Blowfish
Summary:	Crypt::Blowfish - Perl Blowfish encryption module
Summary(pl):	Crypt::Blowfish - modu Perla dla szyfrowania Blowfish
Name:		perl-Crypt-Blowfish
Version:	2.10
Release:	1
License:	BSD-like (see COPYRIGHT)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	15b53308df3b29a62a9f2f718aace19a
URL:		http://search.cpan.org/dist/Crypt-Blowfish/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::Blowfish Perl module contains an implementation of the Blowfish
cryptography algorithm.

%description -l pl
Modu Perla Crypt::Blowfish zawiera implementacj algorytmu
kryptograficznego Blowfish.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes COPYRIGHT README
%{perl_vendorarch}/Crypt/Blowfish.pm
%dir %{perl_vendorarch}/auto/Crypt/Blowfish
%{perl_vendorarch}/auto/Crypt/Blowfish/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Blowfish/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Blowfish.spec,v $
Revision 1.23  2006/07/26 19:28:05  glen
- 2.10, generic URL

Revision 1.22  2004/11/03 22:30:11  paladine
- formatting

Revision 1.21  2004/06/05 18:10:34  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.20  2004/05/07 00:39:41  ankry
- rel. 6

Revision 1.19  2004/05/06 18:01:27  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 21:45:39  ankry
- added tests

Revision 1.17  2004/04/22 19:19:02  ankry
- rel. 5 for Ac

Revision 1.16  2004/04/19 20:37:45  ankry
- better summary and description

Revision 1.15  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.14  2003/08/18 08:08:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.10  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.9  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:28:38  ankry
- massive attack: change CPAN URLs

Revision 1.7  2002/07/28 16:48:37  kloczek
- reelase 3.

Revision 1.6  2002/07/22 21:32:25  ankry
- translations

Revision 1.5  2002/07/21 12:23:27  qboosh
- important fixes: it can't be noarch, essential files were missing,
  license isn't even GPL-compatible!
- new %%doc, cosmetics
- release 2

Revision 1.4  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.2  2002/04/02 18:16:50  kloczek
- cosmetics.

Revision 1.1  2002/03/28 22:59:17  djrzulf
- initial PLD release,
